Skip to main content
GET
/
conversations
/
{conversationId}
/
participants
/
{userId}
Get Participant
curl --request GET \
  --url https://chat.botpress.cloud/{webhookUrl}/conversations/{conversationId}/participants/{userId} \
  --header 'x-user-key: <x-user-key>'
{
  "participant": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "pictureUrl": "<string>",
    "profile": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-user-key
string
required

Authentication Key

Path Parameters

conversationId
string
required

Conversation id

userId
string
required

User id

Response

Returns the Participant object

participant
object
required

The user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.